
/* 建表语句中所指定的path需要依据您自己的实际情况进行修改 */

create table user(
  user_id int,
  age int,
  sexuality int,
  rank int,
  register_time string
) USING csv OPTIONS (path "obs://{{your-bucket-name}}/data/JData_User")

create table product(
  product_id int,
  a1 int,
  a2 int,
  a3 int,
  category int,
  brand int
) USING csv OPTIONS (path "obs://test-baozi/data/JData_Product")


create table comment(
  deadline string,
  product_id int,
  comment_num int,
  has_bad_comment int,
  bad_comment_rate float
) USING csv OPTIONS (path "obs://{{your-bucket-name}}/data/JData_Comment")

create table action(
  user_id int,
  product_id int,
  time string,
  model_id string,
  type string
) USING csv OPTIONS (path "obs://{{your-bucket-name}}/data/JData_Action")


/* 分析出评级最差的前10大商品 */
SELECT
  DISTINCT product_id,
  comment_num,
  bad_comment_rate
from
  comment
where
  comment_num > 3
order by
  bad_comment_rate desc
limit
  10

/* 分析10大用户点赞数最多的前10大品牌 */
SELECT
  product.brand as brand,
  COUNT(product.brand) as like_count
from
  action
  JOIN product ON (action.product_id = product.product_id)
WHERE
  action.type = 'like'
group by
  brand
ORDER BY
  like_count desc
limit
  10